Package org.eclipse.cdt.core.settings.model.extension.impl

## Class CDefaultLanguageData

- java.lang.Object
- - org.eclipse.cdt.core.settings.model.extension.CDataObject
  - - org.eclipse.cdt.core.settings.model.extension.CLanguageData
    - - org.eclipse.cdt.core.settings.model.extension.impl.CDefaultLanguageData

All Implemented Interfaces:
  `ICSettingBase`

Direct Known Subclasses:
  `EntryStorageBasedLanguageData`

    public class CDefaultLanguageData
    extends CLanguageData

### Field Summary

Fields
`static String[]` `EMPTY_STRING_ARRAY`
`protected String` `fId`
`protected boolean` `fIsModified`
`protected String` `fLanguageId`
`protected String` `fName`
`protected String[]` `fSourceContentTypeIds`
`protected String[]` `fSourceExts`
`protected EntryStore` `fStore`
`protected int` `fSupportedKinds`
`protected static int` `OP_COPY` Deprecated.
`protected static int` `OP_SET` Deprecated.

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICSettingBase

`SETTING_BUILD, SETTING_CONFIGURATION, SETTING_FILE, SETTING_FOLDER, SETTING_LANGUAGE, SETTING_PROJECT, SETTING_TARGET_PLATFORM`

### Constructor Summary

Constructors
`protected` `CDefaultLanguageData()`
`` `CDefaultLanguageData​(String id, String languageId, String[] ids, boolean isContentTypes)`
`` `CDefaultLanguageData​(String id, CLanguageData base)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `copySettingsFrom​(CLanguageData data)`
`protected EntryStore` `createStore()`
`protected EntryStore` `createStore​(CLanguageData data)`
`ICLanguageSettingEntry[]` `getEntries​(int kind)`
`protected ICLanguageSettingEntry[]` `getEntriesToCopy​(int kind, CLanguageData lData)`
`String` `getId()`
`String` `getLanguageId()`
`String` `getName()`
`String[]` `getSourceContentTypeIds()`
`String[]` `getSourceExtensions()`
`int` `getSupportedEntryKinds()`
`boolean` `isModified()`
`boolean` `isValid()`
`protected ICLanguageSettingEntry[]` `processStoredEntries​(ICLanguageSettingEntry[] entries, int op)` This method is overridden in `CLanguageSettingCache` to ensure the entries are cached with `CDataUtil` pool.
`void` `setEntries​(int kind, ICLanguageSettingEntry[] entries)`
`void` `setLanguageId​(String id)`
`void` `setModified​(boolean modified)`
`void` `setSourceContentTypeIds​(String[] ids)`
`void` `setSourceExtensions​(String[] exts)`

### Methods inherited from class org.eclipse.cdt.core.settings.model.extension.CLanguageData

`containsDiscoveredScannerInfo, getType`

### Methods inherited from class org.eclipse.cdt.core.settings.model.extension.CDataObject

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### OP_COPY

    @Deprecated
    protected static final int OP_COPY

Deprecated.

See Also:
  Constant Field Values

#### OP_SET

    @Deprecated
    protected static final int OP_SET

Deprecated.

See Also:
  Constant Field Values

#### fName

    protected String fName

#### fId

    protected String fId

#### fLanguageId

    protected String fLanguageId

#### fSupportedKinds

    protected int fSupportedKinds

#### fSourceContentTypeIds

    protected String[] fSourceContentTypeIds

#### fSourceExts

    protected String[] fSourceExts

#### fStore

    protected EntryStore fStore

#### EMPTY_STRING_ARRAY

    public static final String[] EMPTY_STRING_ARRAY

#### fIsModified

    protected boolean fIsModified

### Constructor Detail

#### CDefaultLanguageData

    protected CDefaultLanguageData()

#### CDefaultLanguageData

    public CDefaultLanguageData​(String id,
                                String languageId,
                                String[] ids,
                                boolean isContentTypes)

#### CDefaultLanguageData

    public CDefaultLanguageData​(String id,
                                CLanguageData base)

### Method Detail

#### copySettingsFrom

    protected void copySettingsFrom​(CLanguageData data)

#### createStore

    protected EntryStore createStore​(CLanguageData data)

#### getEntriesToCopy

    protected ICLanguageSettingEntry[] getEntriesToCopy​(int kind,
                                                        CLanguageData lData)

#### processStoredEntries

    protected ICLanguageSettingEntry[] processStoredEntries​(ICLanguageSettingEntry[] entries,
                                                            int op)

This method is overridden in `CLanguageSettingCache` to ensure the entries are cached with `CDataUtil` pool.

#### createStore

    protected EntryStore createStore()

#### getName

    public String getName()

Specified by:
  `getName` in class `CDataObject`

#### getId

    public String getId()

Specified by:
  `getId` in class `CDataObject`

#### isValid

    public boolean isValid()

Specified by:
  `isValid` in class `CDataObject`

#### getLanguageId

    public String getLanguageId()

Specified by:
  `getLanguageId` in class `CLanguageData`

#### setLanguageId

    public void setLanguageId​(String id)

Specified by:
  `setLanguageId` in class `CLanguageData`

#### getSourceContentTypeIds

    public String[] getSourceContentTypeIds()

Specified by:
  `getSourceContentTypeIds` in class `CLanguageData`

#### getSourceExtensions

    public String[] getSourceExtensions()

Specified by:
  `getSourceExtensions` in class `CLanguageData`

#### getSupportedEntryKinds

    public int getSupportedEntryKinds()

Specified by:
  `getSupportedEntryKinds` in class `CLanguageData`

#### setEntries

    public void setEntries​(int kind,
                           ICLanguageSettingEntry[] entries)

Specified by:
  `setEntries` in class `CLanguageData`

#### getEntries

    public ICLanguageSettingEntry[] getEntries​(int kind)

Specified by:
  `getEntries` in class `CLanguageData`

#### setSourceContentTypeIds

    public void setSourceContentTypeIds​(String[] ids)

Specified by:
  `setSourceContentTypeIds` in class `CLanguageData`

#### setSourceExtensions

    public void setSourceExtensions​(String[] exts)

Specified by:
  `setSourceExtensions` in class `CLanguageData`

#### isModified

    public boolean isModified()

#### setModified

    public void setModified​(boolean modified)